<?
//require "include/bittorrent.php";
//dbconn ();
//validcan ();
if ($_SERVER ["REQUEST_METHOD"] == "GET") {
	$hidebid = $_COOKIE ["hidebid"];
	if (empty ( $_GET ["bid"] ))
		die ( "<b><font color=\"red\" size=\"10\">Ты куда лезешь???</font></b>" );
	$bid = "b" . intval ( str_replace ( "b", "", $_GET ["bid"] ) );
	$bidpos = strrpos ( $hidebid, "$bid." );
	if ($_GET ["hide"] == 1 && ! $bidpos) {
		setcookie ( "hidebid", "$hidebid$bid." );
	} elseif ($_GET ["show"] == 1) {
		setcookie ( "hidebid", str_replace ( "$bid.", "", $hidebid ) );
	}
}
?>